Bug 218664 - [RHEL4] Problem using netdump when multiple routers are involved
[RHEL4] Problem using netdump when multiple routers are involved
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
4.4
All Linux
medium Severity medium
: ---
: ---
Assigned To: Chris Lalancette
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-06 12:05 EST by Chris Lalancette
Modified: 2007-11-16 20:14 EST (History)
2 users (show)

See Also:
Fixed In Version: RHBA-2007-0304
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-05-08 00:22:39 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Fix for netpoll arp_reply to the router that asked (1.49 KB, patch)
2006-12-06 12:05 EST, Chris Lalancette
no flags Details | Diff

  None (edit)
Description Chris Lalancette 2006-12-06 12:05:11 EST
Description of problem:
When using netpoll to do either netconsole or netdump, ARP requests are handled
by the function arp_reply().  Currently, arp_reply always replies to the MAC
address that it was given when it starts.  However, if you have multiple routers
that can ARP request you, you might respond to the wrong router; in which case
the other router will eventually drop you from it's ARP cache and stop
delivering packets to you.  The attached patch fixes this by always replying to
the router that asked, not the one that is hard-coded.

I don't have the network setup to test this, but it was successfully tested by
the customer that reported it.


Version-Release number of selected component (if applicable):


How reproducible:


Steps to Reproduce:
1.
2.
3.
  
Actual results:


Expected results:


Additional info:
Comment 1 Chris Lalancette 2006-12-06 12:05:18 EST
Created attachment 142967 [details]
Fix for netpoll arp_reply to the router that asked
Comment 2 Neil Horman 2006-12-07 14:12:07 EST
what are the test results of this patch? I know we wrote this and it needed some
fix ups, but has the customer tried it in their network yet?
Comment 4 Jason Baron 2006-12-13 14:18:04 EST
committed in stream U5 build 42.31. A test kernel with this patch is available
from http://people.redhat.com/~jbaron/rhel4/
Comment 5 RHEL Product and Program Management 2006-12-14 17:46:21 EST
This request was evaluated by Red Hat Product Management for inclusion in a Red
Hat Enterprise Linux maintenance release.  Product Management has requested
further review of this request by Red Hat Engineering, for potential
inclusion in a Red Hat Enterprise Linux Update release for currently deployed
products.  This request is not yet committed for inclusion in an Update
release.
Comment 6 Jay Turner 2006-12-18 10:03:15 EST
QE ack for RHEL4.5.
Comment 11 Red Hat Bugzilla 2007-05-08 00:22:39 EDT
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHBA-2007-0304.html

Note You need to log in before you can comment on or make changes to this bug.